Package net.shibboleth.shared.collection

# Class IndexingObjectStore.StoredObjectWrapper

java.lang.Object
net.shibboleth.shared.collection.IndexingObjectStore.StoredObjectWrapper

Enclosing class:
  IndexingObjectStore<T>

private class IndexingObjectStore.StoredObjectWrapper extends Object
Wrapper class that keeps track of the reference count for a stored object.

## Field Summary

Fields
Modifier and Type
Field
Description
`private T`
`object`
The stored object.
`private int`
`referenceCount`
The object reference count.

## Constructor Summary

Constructors
Constructor
Description
`StoredObjectWrapper(T wrappedObject)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`decremementReferenceCount()`
Decrements the current reference count by one.
`T`
`getObject()`
Gets the wrapped object.
`int`
`getReferenceCount()`
Gets the current reference count.
`void`
`incremementReferenceCount()`
Increments the current reference count by one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### object

@Nonnull private T object
The stored object.

### referenceCount

private int referenceCount
The object reference count.

## Constructor Details

### StoredObjectWrapper

public StoredObjectWrapper(@Nonnull T wrappedObject)
Constructor.

Parameters:
  `wrappedObject` - the object being wrapped

## Method Details

### getObject

@Nonnull public T getObject()
Gets the wrapped object.

Returns:
  the wrapped object

### getReferenceCount

public int getReferenceCount()
Gets the current reference count.

Returns:
  current reference count

### incremementReferenceCount

public void incremementReferenceCount()
Increments the current reference count by one.

### decremementReferenceCount

public void decremementReferenceCount()
Decrements the current reference count by one.